
# This code is shared by all the ICEM CFD GUI's.
#
# Copyright (c) 1993 - 1995 Pacific Marketing and Consulting, Inc,
#       and ICEM Systems, GmbH.  All rights reserved.
# Author:  Wayne A. Christopher, wayne@icemcfd.com

after 5000 ;# Wait for a little while.

set pid [lindex $argv 0]
set mess [lindex $argv 1]

if {$argc > 2} {
    set sig [lindex $argv 2]
} else {
    set sig 1
}

button .stop -text "$mess" -command "exec kill -$sig $pid; exit 0" \
    -padx 10 -pady 10
pack .stop -padx 10 -pady 10

if {[info proc top_geometry] != ""} {
    top_geometry . +100+100
} else {
    toplevel .stop_button
}
